TLSRPT_ADD_POLICY_STRING(3)

NAME
tlsrpt_add_policy_string - adds a policy string to describe the current policy

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_add_policy_string(struct tlsrpt_dr_t* dr, const char* policy_string)

DESCRIPTION

The tlsrpt_add_policy_string function adds a policy string to describe the current policy. Multiple policy strings can be added within one policy.

RETURN VALUE

The tlsrpt_add_policy_string function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).